Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.cs	(revision 51)
@@ -0,0 +1,385 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Diagnostics;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+using System.Linq;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.CustomControls;
+
+//*---------------------------- 発注書作成一覧画面 ----------------------------*
+//  2017/02/02  Ver1.0.0.0      Create Source           
+//
+//
+//*----------------------------------------------------------------------------*
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmOrderEntryList : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        #region 発注明細グリッド定義
+        /// <summary>
+        /// 発注明細グリッド定義
+        /// </summary>
+        private enum GridColumn
+        {
+            /// <summary>
+            /// 番号
+            /// </summary>
+            No = 0,
+            /// <summary>
+            /// 注文書枝番
+            /// </summary>
+            SeqNo,
+            /// <summary>
+            /// 元工事名称
+            /// </summary>
+            SourceName,
+            /// <summary>
+            /// 発注会社名
+            /// </summary>
+            PurchaseName,
+            /// <summary>
+            /// 申請・承認回数
+            /// </summary>
+            RequestCount,
+            /// <summary>
+            /// 発注金額
+            /// </summary>
+            PurchasePrice,
+            /// <summary>
+            /// 注文書作成状態
+            /// </summary>
+            PurchaseExists,
+            /// <summary>
+            /// 作成対象外
+            /// </summary>
+            NotCreate,
+            /// <summary>
+            /// 選択チェック
+            /// </summary>
+            SelectExec,
+            /// <summary>
+            /// 元工事番号
+            /// </summary>
+            SourceCode,
+            /// <summary>
+            /// 発注業者番号
+            /// </summary>
+            CompanyCode,
+            /// <summary>
+            /// 受付番号
+            /// </summary>
+            OrderNo,
+            /// <summary>
+            /// 行番号
+            /// </summary>
+            LineCount,
+        }
+        #endregion
+
+        #region ラベル表示コントロール
+        /// <summary>
+        /// 表示コントロール
+        /// </summary>
+        private enum DspLblCtrlName
+        {
+            /// <summary>
+            /// 工事番号
+            /// </summary>
+            ConstCode = 0,
+            /// <summary>
+            /// 工事名称
+            /// </summary>
+            ConstName,
+            /// <summary>
+            /// 工事場所
+            /// </summary>
+            ConstPlace,
+            /// <summary>
+            /// 工事担当者名
+            /// </summary>
+            CreatorName,
+            /// <summary>
+            /// 工事種別
+            /// </summary>
+            ConstructionType,
+            /// <summary>
+            /// 受注金額
+            /// </summary>
+            OrderPrice,
+            /// <summary>
+            /// 注文書作成数
+            /// </summary>
+            PurchaseCount,
+        }
+        #endregion
+
+        #region データ状態区分
+        /// <summary>
+        /// データ状態区分
+        /// </summary>
+        private enum DataStatusNo
+        {
+            NoCreate = 0,
+            Making,
+            Request,
+            Approvals,
+            NotMaking,
+        }
+        private string[] DataStatusString = new string[] { "未作成", "作成中", "申請中", "承認済", "作成対象外" };
+        #endregion
+
+        #endregion
+
+        #region 変数
+
+        /// <summary>
+        /// 工事コード
+        /// </summary>
+        private int m_ConstructionCode = 0;
+
+        /// <summary>
+        /// 終了ボタン状態
+        /// </summary>
+        private DialogResult m_ComplateFlg = DialogResult.Cancel;
+        
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
+
+        /// <summary>
+        /// ラベルコントロール保持配列
+        /// </summary>
+        private Control[] m_DspLabelCtrl;
+
+        /// <summary>
+        /// 該当工事基本情報
+        /// </summary>
+        private ConstructionBaseInfo m_ConstructionBaseInfo = new ConstructionBaseInfo();
+
+        /// <summary>
+        /// 親フォームハンドル
+        /// </summary>
+        private FrmPurchaseOrderEntry m_OrderFrm = null;
+
+        #endregion
+
+        #region プロパティ
+
+        /// <summary>
+        /// 工事コード
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+
+        /// <summary>
+        /// 終了ボタン状態
+        /// </summary>
+        public DialogResult ComplateFlg
+        {
+            get { return m_ComplateFlg; }
+            set { m_ComplateFlg = value; }
+        }
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+
+        /// <summary>
+        /// 親フォームハンドル
+        /// </summary>
+        public FrmPurchaseOrderEntry OrderFrm
+        {
+            get { return m_OrderFrm; }
+            set { m_OrderFrm = value; }
+        }
+
+        #endregion
+
+        #region コンストラクタ
+        public FrmOrderEntryList()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void PurchaseOrderPrint_Load(object sender, EventArgs e)
+        {
+            try
+            {
+                // 工事情報取得
+                if (!GetBaseInfoData())
+                {
+                    MessageBox.Show("工事基本情報が存在しません", "エラー表示", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    this.Close();
+                    return;
+                }
+                
+                // 表示コントロールオブジェクト取得
+                SetDisplayObject();
+
+                // ヘッダー情報表示
+                DispHeader();
+
+                // データ表示処理
+                DataDisplay();
+
+                //// 参照時は変更できない
+                //if (m_EditLock)
+                //{
+                //    // グリッドを読込専用にする
+                //    dgvAllDisplay.ReadOnly = true;
+                //    btnDataEntry.Enabled = false;
+                //}
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region ×ボタン
+        /// <summary>
+        /// ×ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void PurchaseOrderPrint_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            try
+            {
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 終了ボタン
+        /// <summary>
+        /// 終了ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            m_ComplateFlg = DialogResult.Cancel;
+            this.Close();
+        }
+        #endregion
+
+        #region 実行ボタン押下
+        /// <summary>
+        /// 実行ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataEntry_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                //データチェック
+                if (!DispFeildCheck()) return;
+
+                // 対象データ選択
+                SelectRowData();
+
+                m_ComplateFlg = DialogResult.OK;
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 作成対象外セット押下
+        /// <summary>
+        /// 作成対象外セット押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnTargetOut_Click(object sender, EventArgs e)
+        {
+            // 工事詳細台帳明細データ更新
+            UpdateTargetOut();
+
+            // 再表示
+            DataDisplay();
+        }
+        #endregion
+
+        #region グリッドセルクリック
+        /// <summary>
+        /// グリッドセルクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvAllDisplay_CellClick(object sender, DataGridViewCellEventArgs e)
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+
+                switch (e.ColumnIndex)
+                {
+                    case (int)GridColumn.SelectExec:
+                        // 選択処理
+                        bool bAns = (bool)dgv.Rows[e.RowIndex].Cells[(int)GridColumn.SelectExec].Value;
+                        dgv.Rows[e.RowIndex].Cells[(int)GridColumn.SelectExec].Value = !bAns;
+                        dgv.EndEdit();
+                        GridSelectData(e.RowIndex);
+                        break;
+                    default:
+                        break;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+
+        }
+        #endregion
+
+    }
+}
